Skip to main content

JSON payment notification

POST 

/payment-notification

The payment notification is used to notify the merchant independently of the customer's behavior after the payment authorization.

This service ensures that payments can be completed before the top-up of the customer's account and is, therefore, highly recommended in order to avoid incomplete payments.

In case of technical errors (e.g. socket timeout), or application errors (e.g. HTTP 500 response), the payment notification is resubmitted at a regular interval until one of the following criteria is fulfilled:

  • The payment notification is successfully delivered (i.e. HTTP 200 response from payment server).
  • The maximum number of retry attempts has been reached (currently configured at 5 retries).

A JSON version of the payment notification with all the possible parameters, including the payment_instrument used, is available.

This operation is sent by paysafecard to the merchant's notification_url. It is documented here to describe the payload.

Request

Responses

Payment notification successfully delivered. The payment server expects an HTTP 200 response, otherwise the notification is resubmitted.